play.ant

## Class PlayConfigurationLoadTask

- java.lang.Object
- - play.ant.PlayConfigurationLoadTask

    public class PlayConfigurationLoadTask
    extends java.lang.Object

Ant task which loads settings needed by the ant from the ant configuration file. These include: - Resolving the settings for the given play id and setting them to the ant project properties - Creating classpath element for the module libraries

### Constructor Summary

Constructors
Constructor and Description
`PlayConfigurationLoadTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`
`void` `setApplicationDir(java.io.File applicationDir)`
`void` `setPlayId(java.lang.String playId)`
`void` `setPrefix(java.lang.String prefix)`
`void` `setProject(org.apache.tools.ant.Project project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlayConfigurationLoadTask

    public PlayConfigurationLoadTask()

### Method Detail

#### setProject

    public void setProject(org.apache.tools.ant.Project project)

#### setPlayId

    public void setPlayId(java.lang.String playId)

#### setPrefix

    public void setPrefix(java.lang.String prefix)

#### setApplicationDir

    public void setApplicationDir(java.io.File applicationDir)

#### execute

    public void execute()